/*******************************************************************************

  PointList for DIMIN Viewer n5 (DIV5)

  Programmer: Dima V. Fedorov Levit <dimin@dimin.net> <http://www.dimin.net/>

  History:
    06/23/2004 23:37 - First Creation

*******************************************************************************/

#ifndef DIV_POINT_LIST_H
#define DIV_POINT_LIST_H

#include "DIVFilterDefs.h"

#include <vector>


class TDivPointList: public std::vector<TPoint>
{
private:

  
public:
  TDivPointList();
  //~TDivPointList();

  void loadFromArray(TPoint *a, int count);
  void saveToText( char *fileName );

  void sortByX();
  void sortByY();

  void rowBegEnd(int y, int &lBegin, int &lEnd);
};

#endif //DIV_POINT_LIST_H
